Bug 13386 - 246 display in XSLT
Summary: 246 display in XSLT
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Winona Salesky
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 10344
  Show dependency treegraph
 
Reported: 2014-12-03 13:38 UTC by Nicole C. Engard
Modified: 2016-06-21 21:40 UTC (History)
7 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
RDA: 246 field changes in XSLT (4.68 KB, patch)
2015-03-11 02:13 UTC, Winona Salesky
Details | Diff | Splinter Review
[SIGNED OFF] Added separator to full and brief display. (4.73 KB, patch)
2015-03-25 20:21 UTC, Nick Clemens
Details | Diff | Splinter Review
[PASSED QA] Bug 13386 - Added separator to full and brief display. (4.73 KB, patch)
2015-04-17 15:21 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2014-12-03 13:38:02 UTC
The following change should be made to the MARC21 details in the staff and OPAC:

246 Continue to display as Other Titles (brief/full display) Use vertical bar to separate multiple other titles

Other titles: Three hundred international recipes for savoring the planet | 250 international recipes for savoring the planet.
Comment 1 Winona Salesky 2015-03-11 02:13:23 UTC Comment hidden (obsolete)
Comment 2 Winona Salesky 2015-03-19 16:50:54 UTC
Test Plan:
1) Apply this patch
2) Ensure you are using the default XSLT setting for the staff and opac search results and record details
3) Find or create a record with MARC tags 246
4) Perform an opac search that would show the record in the search results
5) Note the fields uses a vertical bar to separate multiple titles. Vertical bar is wrapped in span class="separator" for easy suppression/customization of separator. Change has been made to results view and detail view.
6) Repeat steps 4 and 5 for the staff interface
Comment 3 Nick Clemens 2015-03-25 20:19:58 UTC
Outside the scope of this change, but if I had my druthers:

246 2nd indicator specifies type of other title, would be nice to display that when 1st indicator 1.  Probab;y it would go into brackets like relator terms and would be overridden by subfield i

That out of the way, works as described and will sign off momentarily
Comment 4 Nick Clemens 2015-03-25 20:21:14 UTC Comment hidden (obsolete)
Comment 5 Nicole C. Engard 2015-04-14 13:58:03 UTC
(In reply to Nick Clemens from comment #3)
> Outside the scope of this change, but if I had my druthers:
> 
> 246 2nd indicator specifies type of other title, would be nice to display
> that when 1st indicator 1.  Probab;y it would go into brackets like relator
> terms and would be overridden by subfield i
> 
> That out of the way, works as described and will sign off momentarily

I think that will be easy to add after the fact - but do agree!

Nicole
Comment 6 rgravel 2015-04-16 14:44:30 UTC
I think that sounds like a great idea, Nick. 

One thing to keep in mind is that the second indicator isn't *always* coded; occasionally it's left blank and the type of other title isn't specified. So, I suspect you'd have to tell the xslt what to do in that case. 

(In reply to Nick Clemens from comment #3)
> Outside the scope of this change, but if I had my druthers:
> 
> 246 2nd indicator specifies type of other title, would be nice to display
> that when 1st indicator 1.  Probab;y it would go into brackets like relator
> terms and would be overridden by subfield i
> 
> That out of the way, works as described and will sign off momentarily
Comment 7 Winona Salesky 2015-04-16 16:34:51 UTC
Should this become a new issue? 

-Winona

(In reply to rgravel from comment #6)
> I think that sounds like a great idea, Nick. 
> 
> One thing to keep in mind is that the second indicator isn't *always* coded;
> occasionally it's left blank and the type of other title isn't specified.
> So, I suspect you'd have to tell the xslt what to do in that case. 
> 
> (In reply to Nick Clemens from comment #3)
> > Outside the scope of this change, but if I had my druthers:
> > 
> > 246 2nd indicator specifies type of other title, would be nice to display
> > that when 1st indicator 1.  Probab;y it would go into brackets like relator
> > terms and would be overridden by subfield i
> > 
> > That out of the way, works as described and will sign off momentarily
Comment 8 rgravel 2015-04-16 17:17:56 UTC
If it's not easy to incorporate into these changes and if Nicole thinks this is something we can tackle later, then I'd say no. 

I'm about to put in a ticket to explore a development for dynamic display of 264s, which would similarly read the second indicator and change the label; these two things seem very related, so I can add this to the ticket to see if they might be better handled together.   

(In reply to Winona Salesky from comment #7)
> Should this become a new issue? 
> 
> -Winona
Comment 9 Winona Salesky 2015-04-17 14:16:45 UTC
I think I can add this without to much of a problem. Let me just clarify the rules:
Label should remain "Other title:" With value indicated by ind2 in brackets after title? Or Label should be generated based on value of ind2?

Also, does $i override ind2? 

Thanks!
-Winona

(In reply to rgravel from comment #8)
> If it's not easy to incorporate into these changes and if Nicole thinks this
> is something we can tackle later, then I'd say no. 
> 
> I'm about to put in a ticket to explore a development for dynamic display of
> 264s, which would similarly read the second indicator and change the label;
> these two things seem very related, so I can add this to the ticket to see
> if they might be better handled together.   
> 
> (In reply to Winona Salesky from comment #7)
> > Should this become a new issue? 
> > 
> > -Winona
Comment 10 Kyle M Hall 2015-04-17 15:21:04 UTC
Created attachment 38087 [details] [review]
[PASSED QA] Bug 13386 - Added separator to full and brief display.

This patch adds a  separator | to the full and brief displays in the staff and OPAC views.
Separator wrapped with span clas=separator |
To test:

* Search the opac
* Click the title
* Make sure the fields display properly
* Repeat for a few more titles
* Repeat in the Staff Client

http://bugs.koha-community.org/show_bug.cgi?id=13386
Signed-off-by: Nick Clemens <nick@quecheelibrary.org>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 11 Katrin Fischer 2015-04-20 14:49:28 UTC
(In reply to Winona Salesky from comment #9)
> I think I can add this without to much of a problem. Let me just clarify the
> rules:
> Label should remain "Other title:" With value indicated by ind2 in brackets
> after title? Or Label should be generated based on value of ind2?
> 
> Also, does $i override ind2? 
> 
> Thanks!
> -Winona
> 

Nick or Nicole, could one of you file a new bug with these ideas so they won't get lost? This is already passed QA and will probably be pushed as it is now.
Comment 12 Tomás Cohen Arazi 2015-04-20 15:07:29 UTC
Patch pushed to master.

Thanks Winona!
Comment 13 Winona Salesky 2015-04-23 16:58:58 UTC
Great!
Thank you,
-Winona

(In reply to Tomás Cohen Arazi from comment #12)
> Patch pushed to master.
> 
> Thanks Winona!
Comment 14 Nicole C. Engard 2015-04-23 23:33:04 UTC
Done- I think - please add to/edit it if need be: http://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=14054